Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class SciHiddenElement

    java.lang.Object
      com.plumtree.remote.sci.SciHiddenElement

All Implemented Interfaces:
  ISciElement

public class SciHiddenElement
extends java.lang.Object
implements ISciElement

Represents a hidden control (equivalent to type=hidden in HTML).

Constructor Summary
`SciHiddenElement(java.lang.String fieldName, java.lang.String value, TypeStorage storageType)` Valued constructor

Method Summary
`org.w3c.dom.Node` | `getRootNode()` Gets the root `Node` to add to the page.
`java.lang.String` | `toString()` Writes the control to a string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SciHiddenElement

    public SciHiddenElement(java.lang.String fieldName,
                            java.lang.String value,
                            TypeStorage storageType)

  Valued constructor

Parameters:
  `fieldName` - fieldName. The fieldName should be uppercase as the portal will uppercase all names in the NamedValue[] returned by IAdminEditor.finalize().
  `value` - field value
  `storageType` - either TypeStorage.STORAGE_INTEGER or TypeStorage.STORAGE_STRING

Method Detail

### getRootNode

    public org.w3c.dom.Node getRootNode()

  Gets the root `Node` to add to the page.

  Specified by:
    `getRootNode` in interface `ISciElement`
  Returns:
    root `Node`

### toString

    public java.lang.String toString()

  Writes the control to a string for debugging.

  Returns:
    string for debugging

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.